# source https://github.com/flacon/flacon/archive/v2.0.1.tar.gz

Summary:	Audio file splitter and converter
Summary(de):	Programm zum Aufteilen und Konvertieren von Musikdateien
Name:		flacon
Version:	2.0.1
Release:	%mkrel 1
Group:		Graphical desktop/KDE5
License:	LGPLv2.1
URL:		https://flacon.github.io/
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%defaultbuildroot
BuildRequires:  desktop-file-utils
BuildRequires:	kf5-macros
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}uchardet-devel
Requires:	faac
Requires:	flac
Requires:	lame
Requires:	%{_lib}wavpack1
Requires:	mac
Requires:	mp3gain
Requires:	opus-tools
Requires:	shntool
Requires:	ttaenc
Requires:	vorbis-tools
Requires:	vorbisgain
Requires:	wavegain
Requires:	wavpack

%description
Flacon extracts individual tracks from one big audio file
containing the entire album of music and saves them as
separate audio files. To do this, it uses information
from the appropriate CUE file. Flacon also makes it possible
to conveniently revise or specify tags both for all tracks
at once or for each tag separately.

%description -l de
Flacon extrahiert einzelne Titel aus einer großen Musikdatei,
die das komplette Album beinhaltet, und speichert diese als einzelne
Dateien. Dazu verwendet er Informationen aus der entsprechenden CUE-Datei.
Flacon macht es auch möglich bequem Tags zu revidieren oder zu spezifizieren,
sowohl für eine oder alle Spuren oder für jeden Tag separat.

%prep
%setup -q

%build
%cmake_kf5

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

# %%find_lang replacement
for file in $(find %{buildroot} -type f -iname "*.qm"); do
echo "%lang($(echo $file | grep -ioE '_[a-z]{2}\.qm|(_[a-z]{2}){2}\.qm' | sed 's:^.::;s:...$::')) \
$(echo $file | sed -e 's:%{buildroot}::g')" >> %{name}.lang; done

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.bz2

%changelog
* Tue Apr 12 2016 marcin82 <marcin82 at vp.pl> 2.0.1-1pclos2016
- update
- built with Qt5
- changes in BR, added R: opus-tools
- updated %%url and source code url

* Sun Aug 02 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.1-1pclos2015
- 1.0.1
- add missing BR deskop-file-utils, qt4-devel, l
- does not requires python and python-qt depends now on pure qt4/cpp

* Fri Aug 16 2013 billybot <billybot> 0.6.1-2pclos2013
- update python 2.7

* Mon Apr 02 2012 Neal <nealbrks0 at gmail dot com> 0.6.1-1pclos2012
- process

* Mon Apr 02 2012 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2012
- added german summary and description
- added %{_lib} macro
- added Requires: faac, ttaenc, wavpack, wavegain

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Fri Nov 12 2010 Texstar <texstar at gmail.com> 0.5.2-1pclos2010
- 0.5.2

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.4.5-3pclos2010
- rebuild for 4.5.1

* Thu Aug 17 2010 Texstar <texstar at gmail.com> 0.4.5-2pclos2010
- convert source to tar.xz

* Fri Aug 13 2010 Chomp <chomptheman@gmail.com> 0.4.5-1pclos2010
- 0.4.6
- Cleaned up spec file

* Sat May 29 2010 Texstar <texstar at gmail.com> 0.4.1-1pclos2010
- initial package converted from a deb file
